Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225918 - hugin: FTBFS in Fedora rawhide/f39
Summary: hugin: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hugin
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Postle
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 18:07 UTC by Fedora Release Engineering
Modified: 2024-04-26 20:03 UTC (History)
4 users (show)

Fixed In Version: hugin-2023.0.0-7.fc41
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-26 20:03:25 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 18:07 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 18:07 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 18:07 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 18:07:22 UTC
hugin failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103607875


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix hugin at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
hugin will be orphaned. Before branching of Fedora 40,
hugin will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 18:07:29 UTC
Created attachment 1978186 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 18:07:34 UTC
Created attachment 1978187 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 18:07:37 UTC
Created attachment 1978188 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 07:57:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Fedora Update System 2024-04-26 18:25:25 UTC
FEDORA-2024-3cfe4d34bc (blender-4.1.1-4.fc41, calligra-3.2.1-30.fc41, and 37 more) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-3cfe4d34bc

Comment 6 Fedora Update System 2024-04-26 20:03:25 UTC
FEDORA-2024-3cfe4d34bc (blender-4.1.1-4.fc41, calligra-3.2.1-30.fc41, and 37 more) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.